org.apache.storm.hooks

## Class BaseTaskHook

- java.lang.Object
- - org.apache.storm.hooks.BaseTaskHook

- All Implemented Interfaces:
    ITaskHook

      public class BaseTaskHook
      extends Object
      implements ITaskHook

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTaskHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `boltAck(BoltAckInfo info)`
    `void` | `boltExecute(BoltExecuteInfo info)`
    `void` | `boltFail(BoltFailInfo info)`
    `void` | `cleanup()`
    `void` | `emit(EmitInfo info)`
    `void` | `prepare(Map<String,Object> conf, TopologyContext context)`
    `void` | `spoutAck(SpoutAckInfo info)`
    `void` | `spoutFail(SpoutFailInfo info)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseTaskHook

          public BaseTaskHook()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `ITaskHook`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `ITaskHook`

    - #### emit

          public void emit(EmitInfo info)

      Specified by:
        `emit` in interface `ITaskHook`

    - #### spoutAck

          public void spoutAck(SpoutAckInfo info)

      Specified by:
        `spoutAck` in interface `ITaskHook`

    - #### spoutFail

          public void spoutFail(SpoutFailInfo info)

      Specified by:
        `spoutFail` in interface `ITaskHook`

    - #### boltAck

          public void boltAck(BoltAckInfo info)

      Specified by:
        `boltAck` in interface `ITaskHook`

    - #### boltFail

          public void boltFail(BoltFailInfo info)

      Specified by:
        `boltFail` in interface `ITaskHook`

    - #### boltExecute

          public void boltExecute(BoltExecuteInfo info)

      Specified by:
        `boltExecute` in interface `ITaskHook`

Copyright © 2019 The Apache Software Foundation. All rights reserved.